FileControllerPromoteTransient Method |
POST /File/PromoteTransient/{id}
Promotes a transient file to a real one.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("PromoteTransient")]
public IActionResult PromoteTransient(
Guid id,
[FromBodyAttribute] PromoteTransientOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("PromoteTransient")>
Public Function PromoteTransient (
id As Guid,
<FromBodyAttribute> options As PromoteTransientOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"PromoteTransient")]
IActionResult^ PromoteTransient(
Guid id,
[FromBodyAttribute] PromoteTransientOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("PromoteTransient")>]
member PromoteTransient :
id : Guid *
[<FromBodyAttribute>] options : PromoteTransientOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the transient file to promote. - options
- Type: Dundas.BI.WebApi.ModelsPromoteTransientOptions
The options. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the current session.
Return Value
Type:
IActionResult
A status code indicating success or the reason for failure.
See Also